package org.ferris.dyndns.jmce.jobs;

import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;

import org.apache.commons.io.IOUtils;
import org.apache.log4j.Logger;
import org.ferris.net.runner.HttpResponseHandler;

public class DyndnsHttpResponseHandler implements HttpResponseHandler<String> {

	private final Logger log = Logger.getLogger(getClass());
	
	public List<String> response(InputStream arg0) 
	{
		try {
			String s =
				IOUtils.toString(arg0);
			log.info(s);
			ArrayList<String> list = new ArrayList<String>();
			list.add(s);
			return list;
			
		} catch (IOException e) {
			e.printStackTrace();
		}
		
		return null;
	}

}
