package org.ferris.dyndns.jmce.jobs;

import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;

import org.apache.commons.io.IOUtils;
import org.apache.log4j.Logger;
import org.ferris.net.runner.HttpResponseHandler;

public class DyndnsHttpResponseHandlerForHomepage implements HttpResponseHandler<String> {

	private final Logger log = Logger.getLogger(getClass());
	
	public List<String> response(InputStream arg0) 
	{
		try {
			String s =
				IOUtils.toString(arg0);
			
            //               <input type='hidden' name='multiform' value='912F50EAA8F1D51D840054E28AE57B7981'/>
			String findMe = "<input type='hidden' name='multiform' value='";
			int findMeIndexOf = s.indexOf(findMe);
			if (findMeIndexOf < 0) {
				throw new RuntimeException ("Did not find " + findMe + " in the homepage");
			}
			
			int startIndex = findMeIndexOf + findMe.length();
			int endIndex = s.indexOf("'", startIndex);
			
			String multiform = s.substring(startIndex, endIndex);
						
			ArrayList<String> list = new ArrayList<String>();
			list.add(multiform);
			return list;
			
		} catch (IOException e) {
			e.printStackTrace();
		}
		
		return null;
	}

}
